> For the complete documentation index, see [llms.txt](https://docs.verified.network/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.verified.network/reference/verified-sdk/staking-to-borrow/bond-issuing-function.md).

# Bond issuing function

### Issuing Via bonds for ether

`requestIssueForEther(_viaBondToIssue, _amount)`

| Function parameter | Description                                                            |
| ------------------ | ---------------------------------------------------------------------- |
| \_viaBondToIssue   | 3 letter ISO code of the currency in which Via bond is to be issued in |
| \_amount           | float number of ether to stake for issue                               |

### Purchase of Via bonds with Via cash

`requestIssueForViaCash(_amount, _viaBondToIssue, _currencyToDebit)`

| Function parameter | Description                                                         |
| ------------------ | ------------------------------------------------------------------- |
| \_amount           | float number of amount to purchase                                  |
| \_viaBondToIssue   | address of Via bond to purchase                                     |
| \_currencyToDebit  | 3 letter ISO code of currency of Via cash to purchase Via bond with |

### Transfer of Via bonds

`requestTransfer(_amount, _recipient, _bondToTransfer)`

| Function parameter | Description                                                 |
| ------------------ | ----------------------------------------------------------- |
| \_amount           | float number amount of Via bond to transfer                 |
| \_recipient        | address of recipient to which Via bond is to be transferred |
| \_bondToTransfer   | address of Via bond to transfer                             |

### Redemption of Via bonds by investor

`redemptionByInvestor(_amount, _bondToRedeem)`

| Function parameter | Description                               |
| ------------------ | ----------------------------------------- |
| \_amount           | float number amount of Via bond to redeem |
| \_bondToRedeem     | address of Via bond to redeem             |

### Redemption of Via bonds by issuer

`function redemptionByIssuer(_amount, _bondToRedeem, _currencyToRedeemBond)`

| Function parameter     | Description                                                       |
| ---------------------- | ----------------------------------------------------------------- |
| \_amount               | float number of amount to redeem                                  |
| \_bondToRedeem         | address of Via bond to redeem                                     |
| \_currencyToRedeemBond | 3 letter ISO code of currency of Via cash to redeem Via bond with |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.verified.network/reference/verified-sdk/staking-to-borrow/bond-issuing-function.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
